Determine if organization has Advanced Security licenses via API?

SOLVED
bryand23
Here to help

Determine if organization has Advanced Security licenses via API?

With per device licensing, I'm able to get the license type:

 

"licenseType": "MX64-ENT"

 

 

But for orgs with the co-termination model, I can't seem to find a way to determine if an organization has Advanced Security licenses. The getOrganizationLicensesOverview endpoint only returns the device counts, without specifying which license is in use.

 

Aside from manually tagging the orgs in question, is there a way for me to determine this using the API?

1 ACCEPTED SOLUTION

Accepted Solutions
BrechtSchamp
Kind of a big deal

Re: Determine if organization has Advanced Security licenses via API?

https://developer.cisco.com/meraki/api-v1/#!get-network-appliance-security-malware

 

This one works for me. It returns the following for a network in an org that doesn't have advanced security:

{
    "errors": [
        "Advanced Malware Protection (AMP) is not supported by this network"
    ]
}

 

View solution in original post

3 REPLIES 3
SoCalRacer
Kind of a big deal

Re: Determine if organization has Advanced Security licenses via API?

Looking through v0 and v1 I was unable to find an endpoint that was usable to determine license used in co-term models.

 

Maybe @Melissa or @John-K can get us an official answer?

BrechtSchamp
Kind of a big deal

Re: Determine if organization has Advanced Security licenses via API?

https://developer.cisco.com/meraki/api-v1/#!get-network-appliance-security-malware

 

This one works for me. It returns the following for a network in an org that doesn't have advanced security:

{
    "errors": [
        "Advanced Malware Protection (AMP) is not supported by this network"
    ]
}

 

View solution in original post

John-K
Meraki Employee

Re: Determine if organization has Advanced Security licenses via API?

Similarly, https://developer.cisco.com/meraki/api-v1/#!get-organization-appliance-security-intrusion will return an error if the organization does not have an advanced security license, like this:

 

{
    "errors": [
        "This endpoint requires an advanced security license"
    ]
}
Welcome to the Meraki Community!
To start contributing, simply sign in with your Cisco account. If you don't yet have a Cisco account, you can sign up.